Subject: FVWM: SmartPlacement style is not smart enough :-)

From: [email-masked]
Date: Fri, 22 Dec 1995 01:37:11 +0900

Suppose folloing situation:

	* Prepare blank desktop (let me set desktop number 1)
	* Prepare another desktop, and place some window.
	  (let me set desktop number 2)
	  when placing windows, fill upper-left corner of display.
	* Suppose
		Style "foobar" StartsOnDesk 1, SkipMapping
	  is set.
	* change desktop to 1
	* invoke foobar and see what's happen. ---(a)
	* close "foobar" application
	* change desktop to 2
	* invoke foobar and see what's happen. ---(b)

Result of (a) and (b) is NOT the same. In case (a), foobar is placed
upper-left of the display, but in case (b), place of foobar depends on
desktop number 2's current placements of window.

This behavior is not that same as what we expected. I think fvwm
should treat "which desktop to place".

I take a grance into source code of fvwm, and found that this is a
SmartPlacement() (in fvwm/placement.c) problem. In fact,
SmartPlacement() treats only CURRENT desktop when calculating position
of window. But sorry now I don't have enough time to make a patch to
fix. Anyone ?

- -
Makoto 'MAR_kun' MATSUSHITA
--
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].